Skip to content
BrainyShorts Docs
Esc
navigateopen⌘Jpreview

List posts

Each row is one platform delivery. id is the delivery id and post_id is the parent post.

GET/api/cli/posts
Authorization
AuthorizationBearer token (ba_sk_...) · headerrequired

API key from /dashboard/api-keys. Keys expire after 365 days.

Query parameters
statusstring
platformPlatform
Allowed:tiktokinstagramyoutubelinkedinx
limitinteger
min 1 · max 100 · default: 50
Responses
200

OK

postsPostDelivery[]
Show properties
Array of PostDelivery
idstring
post_idstring
platformPlatform
Allowed:tiktokinstagramyoutubelinkedinx
statusstring
scheduled_timestring<date-time> | null
posted_timestring<date-time> | null
last_errorstring | null
accountobject
titlestring
captionstring
media_typestring
media_urlsstring[]
video_urlstring | null
401

Missing, invalid, expired, or revoked API key

errorstringrequired
codestring
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://www.brainyshorts.com/api/cli/posts" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "posts": [
    {
      "id": "string",
      "post_id": "string",
      "platform": "tiktok",
      "status": "string",
      "scheduled_time": "2019-08-24T14:15:22Z",
      "posted_time": "2019-08-24T14:15:22Z",
      "last_error": "string",
      "account": {},
      "title": "string",
      "caption": "string",
      "media_type": "string",
      "media_urls": [
        "string"
      ],
      "video_url": "string"
    }
  ]
}